For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • POSTCreate
        • GETGet
        • POSTUpdate
        • DELDelete
Logo
Sign inBook a demo
API ReferenceEntityRepresentative

Create

POST
https://api.mercoa.com/entity/:entityId/representative
POST
/entity/:entityId/representative
$curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/representative \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": {
> "firstName": "John",
> "lastName": "Adams",
> "middleName": "Quincy",
> "suffix": "Jr."
> },
> "address": {
> "addressLine1": "123 Main St",
> "city": "San Francisco",
> "stateOrProvince": "CA",
> "postalCode": "94105",
> "addressLine2": "Unit 1",
> "country": "US"
> },
> "birthDate": {
> "day": "1",
> "month": "1",
> "year": "1980"
> },
> "governmentID": {
> "ssn": "123-45-6789"
> },
> "responsibilities": {
> "isController": true,
> "isOwner": true,
> "ownershipPercentage": 40
> },
> "phone": {
> "countryCode": "1",
> "number": "4155551234"
> },
> "email": "john.doe@acme.com"
>}'
1{
2 "id": "rep_7df2974a-4069-454c-912f-7e58ebe030fb",
3 "name": {
4 "firstName": "John",
5 "lastName": "Adams",
6 "middleName": "Quincy",
7 "suffix": "Jr."
8 },
9 "address": {
10 "addressLine1": "123 Main St",
11 "city": "San Francisco",
12 "stateOrProvince": "CA",
13 "postalCode": "94105",
14 "addressLine2": "Unit 1",
15 "country": "US"
16 },
17 "birthDateProvided": true,
18 "governmentIDProvided": true,
19 "responsibilities": {
20 "isController": true,
21 "isOwner": true,
22 "ownershipPercentage": 40
23 },
24 "createdOn": "2024-01-01T00:00:00Z",
25 "updatedOn": "2024-01-01T00:00:00Z",
26 "phone": {
27 "countryCode": "1",
28 "number": "4155551234"
29 },
30 "email": "john.doe@acme.com"
31}
Was this page helpful?
Previous

Get

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Request

This endpoint expects an object.
nameobjectRequired
addressobjectRequired
birthDateobjectRequired
governmentIDobjectRequired
responsibilitiesobjectRequired
phoneobjectOptional
Either phone or email is required.
emailstringOptional
Either phone or email is required.

Response

This endpoint returns an object.
idstring
nameobject
addressobject
birthDateProvidedboolean
governmentIDProvidedboolean
responsibilitiesobject
createdOndatetime
updatedOndatetime
phoneobject
emailstring
disabledOndatetime

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented